Jump to content

Il-2 Sturmovik version 4.11 in development(Articles)


Stans
 Share

Recommended Posts

As Oleg releases a very bug riddled Il-2: Cliff of Dover, Daidalos Team has released the first video of patch 4.11, featuring new aircraft including... the TBD Devastator. Midway will now be complete. :)

Sadly, DT, even though they started as a group of "unlicensed modders", have forgotten those roots and each new patch contains new code encryption designed to hamper HSFX, UltraPack, AAS and SAS. Last word from Hades over at SAS was that they were likely going to cease making new mod packs after finishing one for 4.10.1 and simply try to incorporate aircraft and maps released with subsequent official patches into a modded 4.10.1.

Link to comment
Share on other sites

Thanks for the news update, Stans :thumbsup:

So, let me get this straight: the SAS guys do have full reign over 4.10.1? That is, they can mod it to their liking, but this 4.11 has extra encryption?

And, if I understand what you are saying, the SAS guys plan to just use 4.10.1 as their code base from this point forward and will try to incorporate any new features from the official 4.11 version and above into their 4.10.1 base code?

If that's the case, then we're seeing the birth of an IL-2 code fork.

If anything, Oleg needs to create a modder's SDK and encourage the modding community, not block them out.

The day some other group or company comes out with a WWII air combat sim that is moddable and gives the community the tools to create mods, IL-2 will become an instant footnote in the history of this genre. It's just too bad that no group has been able to come forward with said new WWII air combat sim :(

Link to comment
Share on other sites

That's pretty much the gist of it. Yep, a fork in the road for the game code. And it is unlikely Oleg will release any SDK for the modders. He didn't even give all of the tools to DT. I expect if he actually released all the tools, he would be giving away the code not only to Il-2 Sturmovik, but also Cliffs of Dover.

Link to comment
Share on other sites

Okay, so does this mean that UltraPack 2.1 is kaput?

I'm a bit confused. UP201 was great because it provided a single mod-platform upon which we could base missions and campaigns. Then came 4.10, and now 4.11 ... and now I don't know what patch to use when I build a Battle of France sequel to "Nothing Phoney About This War, Mate," or a continuation of the Solomons campaign in "Flying Devil Dogs," both of which are projects I've had on the horizon for quite some time. Or whether I need to update those campaigns to another mod-platform.

The new maps and planes are kewl and all, but if all you can do is fly quick missions because nobody knows what to use when they build missions and campaigns, then the entire exercise becomes rather sterile. :(

Link to comment
Share on other sites

Nope, there will be an UltraPack built around 4.10.1, but that will likely be the last UltraPack.

Currently, UltraPack 2.01 is for version 4.09 final.

Version 4.10.1 is the current official version, a new UltraPack is being made and should soon be available.

When version 4.11 comes out, there is not likely to be another UltraPack, but the new maps and planes in 4.11 will likely be modded and imported into 4.10.1. modded.

Confused? Yep, leave it to Oleg and his elite few to screw with the rest of the world.

Link to comment
Share on other sites

 Share

×
×
  • Create New...